com.corticon.rulesemf.canonicalrulemodel.ruleflow

## Interface RuleflowPackage.Literals

- Enclosing interface:
    RuleflowPackage

      public static interface RuleflowPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ACTIVITY_NODE` The meta object literal for the '`Activity Node`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ACTIVITY_NODE__ENABLED` The meta object literal for the 'Enabled' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `ACTIVITY_NODE__INVOKES` The meta object literal for the 'Invokes' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `ACTIVITY_NODE__ITERATIVE` The meta object literal for the 'Iterative' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ACTIVITY_NODE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `ACTIVITY_NODE__NEXT_STEP` The meta object literal for the 'Next Step' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `ACTIVITY_NODE__ORDER` The meta object literal for the 'Order' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ACTIVITY_NODE__RULE_ACTIVITY_UPDATE_STAMP` The meta object literal for the 'Rule Activity Update Stamp' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `CONNECTOR` The meta object literal for the '`Connector`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CONNECTOR__CLASS_NAME` The meta object literal for the 'Class Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `CONNECTOR__SERVICE_NAME` The meta object literal for the 'Service Name' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `DECISION` The meta object literal for the '`Decision`' class
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION__BOOLEAN_LABEL` The meta object literal for the 'Boolean Label' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION__DEFAULT` The meta object literal for the 'Default' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `DECISION__LABEL` The meta object literal for the 'Label' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION__LABEL_EXPRESSION` The meta object literal for the 'Label Expression' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `DECISION__NEXT_STEP` The meta object literal for the 'Next Step' reference feature
    `static org.eclipse.emf.ecore.EClass` | `DECISION_NODE` The meta object literal for the '`Decision Node`' class
    `static org.eclipse.emf.ecore.EReference` | `DECISION_NODE__BOOLEAN_CONDITION` The meta object literal for the 'Boolean Condition' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `DECISION_NODE__CONDITION_SUB_EXPRESSION` The meta object literal for the 'Condition Sub Expression' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `DECISION_NODE__DECISIONS` The meta object literal for the 'Decisions' reference list feature
    `static org.eclipse.emf.ecore.EClass` | `FLOW` The meta object literal for the '`Flow`' class
    `static org.eclipse.emf.ecore.EReference` | `FLOW__CONNECTOR_LIST` The meta object literal for the 'Connector List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `FLOW__FLOW_CONTROL_LIST` The meta object literal for the 'Flow Control List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `FLOW__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `FLOW__START` The meta object literal for the 'Start' reference feature
    `static org.eclipse.emf.ecore.EReference` | `FLOW__SUBFLOW_LIST` The meta object literal for the 'Subflow List' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `FLOW_CONTROL` The meta object literal for the '`Flow Control`' class
    `static org.eclipse.emf.ecore.EClass` | `RULE_ACTIVITY` The meta object literal for the '`Rule Activity`' class
    `static org.eclipse.emf.ecore.EAttribute` | `RULE_ACTIVITY__DOMAIN` The meta object literal for the 'Domain' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `RULEFLOW` The meta object literal for the '`Ruleflow`' class
    `static org.eclipse.emf.ecore.EAttribute` | `RULEFLOW__DESCRIPTION` The meta object literal for the 'Description' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULEFLOW__EFFECTIVE_DATE` The meta object literal for the 'Effective Date' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULEFLOW__EXPIRATION_DATE` The meta object literal for the 'Expiration Date' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULEFLOW__MAJOR_VERSION` The meta object literal for the 'Major Version' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULEFLOW__MINOR_VERSION` The meta object literal for the 'Minor Version' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULEFLOW__VERSION_LABEL` The meta object literal for the 'Version Label' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULEFLOW__VOCABULARY` The meta object literal for the 'Vocabulary' reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `RULEFLOW__VOCABULARY_UPDATE_STAMP` The meta object literal for the 'Vocabulary Update Stamp' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `RULEFLOW__WORK_DOCUMENT_ENTITY` The meta object literal for the 'Work Document Entity' reference feature
    `static org.eclipse.emf.ecore.EClass` | `SUBFLOW` The meta object literal for the '`Subflow`' class
    `static org.eclipse.emf.ecore.EClass` | `TERMINATE_NODE` The meta object literal for the '`Terminate Node`' class

- - ### Field Detail

    - #### ACTIVITY_NODE

          static final org.eclipse.emf.ecore.EClass ACTIVITY_NODE

      The meta object literal for the '`Activity Node`' class.
      See Also:
        `ActivityNodeImpl`, `RuleflowPackageImpl.getActivityNode()`

    - #### ACTIVITY_NODE__ENABLED

          static final org.eclipse.emf.ecore.EAttribute ACTIVITY_NODE__ENABLED

      The meta object literal for the 'Enabled' attribute feature.

    - #### ACTIVITY_NODE__NAME

          static final org.eclipse.emf.ecore.EAttribute ACTIVITY_NODE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### ACTIVITY_NODE__ITERATIVE

          static final org.eclipse.emf.ecore.EAttribute ACTIVITY_NODE__ITERATIVE

      The meta object literal for the 'Iterative' attribute feature.

    - #### ACTIVITY_NODE__ORDER

          static final org.eclipse.emf.ecore.EAttribute ACTIVITY_NODE__ORDER

      The meta object literal for the 'Order' attribute feature.

    - #### ACTIVITY_NODE__RULE_ACTIVITY_UPDATE_STAMP

          static final org.eclipse.emf.ecore.EAttribute ACTIVITY_NODE__RULE_ACTIVITY_UPDATE_STAMP

      The meta object literal for the 'Rule Activity Update Stamp' attribute feature.

    - #### ACTIVITY_NODE__NEXT_STEP

          static final org.eclipse.emf.ecore.EReference ACTIVITY_NODE__NEXT_STEP

      The meta object literal for the 'Next Step' reference feature.

    - #### ACTIVITY_NODE__INVOKES

          static final org.eclipse.emf.ecore.EReference ACTIVITY_NODE__INVOKES

      The meta object literal for the 'Invokes' reference feature.

    - #### DECISION

          static final org.eclipse.emf.ecore.EClass DECISION

      The meta object literal for the '`Decision`' class.
      See Also:
        `DecisionImpl`, `RuleflowPackageImpl.getDecision()`

    - #### DECISION__LABEL_EXPRESSION

          static final org.eclipse.emf.ecore.EAttribute DECISION__LABEL_EXPRESSION

      The meta object literal for the 'Label Expression' attribute feature.

    - #### DECISION__BOOLEAN_LABEL

          static final org.eclipse.emf.ecore.EAttribute DECISION__BOOLEAN_LABEL

      The meta object literal for the 'Boolean Label' attribute feature.

    - #### DECISION__DEFAULT

          static final org.eclipse.emf.ecore.EAttribute DECISION__DEFAULT

      The meta object literal for the 'Default' attribute feature.

    - #### DECISION__NEXT_STEP

          static final org.eclipse.emf.ecore.EReference DECISION__NEXT_STEP

      The meta object literal for the 'Next Step' reference feature.

    - #### DECISION__LABEL

          static final org.eclipse.emf.ecore.EReference DECISION__LABEL

      The meta object literal for the 'Label' containment reference list feature.

    - #### DECISION_NODE

          static final org.eclipse.emf.ecore.EClass DECISION_NODE

      The meta object literal for the '`Decision Node`' class.
      See Also:
        `DecisionNodeImpl`, `RuleflowPackageImpl.getDecisionNode()`

    - #### DECISION_NODE__CONDITION_SUB_EXPRESSION

          static final org.eclipse.emf.ecore.EAttribute DECISION_NODE__CONDITION_SUB_EXPRESSION

      The meta object literal for the 'Condition Sub Expression' attribute feature.

    - #### DECISION_NODE__BOOLEAN_CONDITION

          static final org.eclipse.emf.ecore.EReference DECISION_NODE__BOOLEAN_CONDITION

      The meta object literal for the 'Boolean Condition' containment reference feature.

    - #### DECISION_NODE__DECISIONS

          static final org.eclipse.emf.ecore.EReference DECISION_NODE__DECISIONS

      The meta object literal for the 'Decisions' reference list feature.

    - #### FLOW_CONTROL

          static final org.eclipse.emf.ecore.EClass FLOW_CONTROL

      The meta object literal for the '`Flow Control`' class.
      See Also:
        `FlowControlImpl`, `RuleflowPackageImpl.getFlowControl()`

    - #### RULE_ACTIVITY

          static final org.eclipse.emf.ecore.EClass RULE_ACTIVITY

      The meta object literal for the '`Rule Activity`' class.
      See Also:
        `RuleActivityImpl`, `RuleflowPackageImpl.getRuleActivity()`

    - #### RULE_ACTIVITY__DOMAIN

          static final org.eclipse.emf.ecore.EAttribute RULE_ACTIVITY__DOMAIN

      The meta object literal for the 'Domain' attribute feature.

    - #### RULEFLOW

          static final org.eclipse.emf.ecore.EClass RULEFLOW

      The meta object literal for the '`Ruleflow`' class.
      See Also:
        `RuleflowImpl`, `RuleflowPackageImpl.getRuleflow()`

    - #### RULEFLOW__VERSION_LABEL

          static final org.eclipse.emf.ecore.EAttribute RULEFLOW__VERSION_LABEL

      The meta object literal for the 'Version Label' attribute feature.

    - #### RULEFLOW__EFFECTIVE_DATE

          static final org.eclipse.emf.ecore.EAttribute RULEFLOW__EFFECTIVE_DATE

      The meta object literal for the 'Effective Date' attribute feature.

    - #### RULEFLOW__EXPIRATION_DATE

          static final org.eclipse.emf.ecore.EAttribute RULEFLOW__EXPIRATION_DATE

      The meta object literal for the 'Expiration Date' attribute feature.

    - #### RULEFLOW__DESCRIPTION

          static final org.eclipse.emf.ecore.EAttribute RULEFLOW__DESCRIPTION

      The meta object literal for the 'Description' attribute feature.

    - #### RULEFLOW__WORK_DOCUMENT_ENTITY

          static final org.eclipse.emf.ecore.EReference RULEFLOW__WORK_DOCUMENT_ENTITY

      The meta object literal for the 'Work Document Entity' reference feature.

    - #### RULEFLOW__MAJOR_VERSION

          static final org.eclipse.emf.ecore.EAttribute RULEFLOW__MAJOR_VERSION

      The meta object literal for the 'Major Version' attribute feature.

    - #### RULEFLOW__MINOR_VERSION

          static final org.eclipse.emf.ecore.EAttribute RULEFLOW__MINOR_VERSION

      The meta object literal for the 'Minor Version' attribute feature.

    - #### RULEFLOW__VOCABULARY_UPDATE_STAMP

          static final org.eclipse.emf.ecore.EAttribute RULEFLOW__VOCABULARY_UPDATE_STAMP

      The meta object literal for the 'Vocabulary Update Stamp' attribute feature.

    - #### RULEFLOW__VOCABULARY

          static final org.eclipse.emf.ecore.EReference RULEFLOW__VOCABULARY

      The meta object literal for the 'Vocabulary' reference feature.

    - #### TERMINATE_NODE

          static final org.eclipse.emf.ecore.EClass TERMINATE_NODE

      The meta object literal for the '`Terminate Node`' class.
      See Also:
        `TerminateNodeImpl`, `RuleflowPackageImpl.getTerminateNode()`

    - #### FLOW

          static final org.eclipse.emf.ecore.EClass FLOW

      The meta object literal for the '`Flow`' class.
      See Also:
        `FlowImpl`, `RuleflowPackageImpl.getFlow()`

    - #### FLOW__NAME

          static final org.eclipse.emf.ecore.EAttribute FLOW__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### FLOW__START

          static final org.eclipse.emf.ecore.EReference FLOW__START

      The meta object literal for the 'Start' reference feature.

    - #### FLOW__FLOW_CONTROL_LIST

          static final org.eclipse.emf.ecore.EReference FLOW__FLOW_CONTROL_LIST

      The meta object literal for the 'Flow Control List' containment reference list feature.

    - #### FLOW__SUBFLOW_LIST

          static final org.eclipse.emf.ecore.EReference FLOW__SUBFLOW_LIST

      The meta object literal for the 'Subflow List' containment reference list feature.

    - #### FLOW__CONNECTOR_LIST

          static final org.eclipse.emf.ecore.EReference FLOW__CONNECTOR_LIST

      The meta object literal for the 'Connector List' containment reference list feature.

    - #### SUBFLOW

          static final org.eclipse.emf.ecore.EClass SUBFLOW

      The meta object literal for the '`Subflow`' class.
      See Also:
        `SubflowImpl`, `RuleflowPackageImpl.getSubflow()`

    - #### CONNECTOR

          static final org.eclipse.emf.ecore.EClass CONNECTOR

      The meta object literal for the '`Connector`' class.
      See Also:
        `ConnectorImpl`, `RuleflowPackageImpl.getConnector()`

    - #### CONNECTOR__CLASS_NAME

          static final org.eclipse.emf.ecore.EAttribute CONNECTOR__CLASS_NAME

      The meta object literal for the 'Class Name' attribute feature.

    - #### CONNECTOR__SERVICE_NAME

          static final org.eclipse.emf.ecore.EAttribute CONNECTOR__SERVICE_NAME

      The meta object literal for the 'Service Name' attribute feature.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.